declare const _default: {
    name: string;
    props: {
        title: {
            type: StringConstructor;
            default: string;
        };
        filterList: any[];
    };
    components: {
        ItemFilter: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    data: () => {
        isEditing: boolean;
    };
    methods: {
        onDrop(event: any, list: any): void;
        deleteItem(index: Number): void;
        filterChange(value: any, index: any): void;
        valueChange(value: any, index: any): void;
        lowValueChange(value: any, index: any): void;
        hightValueChange(value: any, index: any): void;
    };
    computed: {
        fileListLength(): any;
    };
    watch: {
        fileListLength: () => void;
    };
    mounted(): Promise<void>;
};
export default _default;
